.extra-info-text { font-size: 0.8em; }
.dashboard-scheduler table { width: 100%; }
.dashboard-scheduler table td:nth-child(1) { font-weight: bold; }

body#customer span[data-account-manager]:not([data-account-manager=""])::after {
    content: "AM: " attr(data-account-manager);
    display: block;
    margin: 10px 0 0 0;
    font-size: 0.8em;
    font-weight: bold;
}

body#customer span[data-customer-status="0"]::after {
    content: "ARCHIVIATO";
    display: block;
    margin: 10px 0 0 0;
    font-size: 0.8em;
    font-weight: bold;
    background: #dd3e3e;
    padding: 4px 8px;
    color: #fff;
    width: fit-content;
}

td[data-billable="1"]::after {
    content: "\24";
    color: green;
    font-weight: bold;
  }
  td[data-billable="0"]::after {
    content: "\24";
    color: red;
    font-weight: bold;
  }
body#domain .col-sm-6:nth-child(1) {
    max-width: 75%;
    flex: 0 0 75%;
}
body#domain .col-sm-6:nth-child(2) {
    max-width: 25%;
    flex: 0 0 25%;
}
.time-info-panel {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.time-info-panel p { width: 100%; margin-bottom: 0.5em; }
.time-info-panel p:before { 
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size: 1em;
    padding: 0 6px 0 0;
 }
.time-info-panel p:nth-child(1):before { content: "\54"; }
.time-info-panel p:nth-child(2):before { content: "\24"; }
.time-info-panel p:nth-child(3):before { content: "Δ"; }

.time-info-panel p.remaining-hours-critical::after {
    color:orange;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size: 1em;
    padding: 0 0 0 4px;
    content: "\f242";
    transform: rotate(-90deg);
    display: inline-block;
}

.time-info-panel p.remaining-hours-sold-out::after {
    color:red;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size: 1em;
    padding: 0 0 0 4px;
    content: "\f06a";
}

#support-contract .noty_layout {
    width: 50%;
}
#support-contract .noty_layout .noty_buttons {
    display: flex;
    justify-content: space-around;
}
.hidden { display:none; }
#product-list>table,
#product-list>div>table {
    width: 100%;
}

#product-list>div {
    height: 300px;
    width: 100%;
    overflow-y: auto;
    display: block;
}

#product-list>div>table  {
    display: inline-table;
}

#product-list>table tr {
    background: var(--primary);
    color: #fff;
}
#product-list>table tr th {
    padding: 8px;
    border-right: 2px solid #fff;
    text-align: center;
}

#product-list>div>table tr td {
    border-bottom: 1px dotted #6b6b6b;
}

#product-list>table tr th:nth-child(1),
#product-list>div>table tr td:nth-child(1) {
    width: 30%;
}

#product-list>table tr th:nth-child(2),
#product-list>div>table tr td:nth-child(2) {
    width: 50%;
}

#product-list>table tr th:nth-child(3),
#product-list>div>table tr td:nth-child(3) {
    width: 20%;
}

#product-list>div>table tr td:nth-child(3) {
    text-align: right;
    padding: 0 10px 0 0;
}

.backup-info-text {
    white-space: normal;
    width: 100px;
    font-size: 0.8em;
    display: inline-block;
}
#project .container-repeatable-elements label {
    font-size: 0.8em;
}
.project-notes textarea {
    font-size: 0.8em;
    height: 4.5em;
}
#update-billiable-hours::before, #reset-billiable-hours::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size: 1em;
    padding: 0 6px 0 0;
}

#update-billiable-hours::before { content: "\f1ec"; }
#reset-billiable-hours::before { content: "\3d"; }
.ticket-working-time .help-block a, #update-billiable-hours, #reset-billiable-hours {
    width: 4.2em;
    text-align: center;
    border-radius: 4px;
    padding: 2px 4px;
    margin: 4px 4px 0 0;
    display: inline-block;
    background-color: #385d88;
    color: #fff !important;
}

#update-billiable-hours, #reset-billiable-hours { width: auto; }

.help-block a.quick-support-message {
    text-align: center;
    border-radius: 4px;
    padding: 2px 8px;
    margin: 4px 6px 0 0;
    display: inline-block;
    background-color: #385d88;
    color: #fff !important;
}

.ticket-working-time .help-block a:hover,
.help-block a.quick-support-message:hover { cursor: pointer; text-decoration: none; }

.real-working-time::before,
.billable-working-time::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size: 1em;
    width: 1.5em;
    display: inline-block;
    margin: 8px 0 0 0;
}
.real-working-time::before { content: "\f0ad"; }
.billable-working-time::before { content: "\24"; }

a.team-member,
a.add-days {
    text-align: center;
    border-radius: 4px;
    padding: 2px 6px;
    margin: 4px 4px 0 0;
    display: inline-block;
    background-color: #385d88;
    color: #fff !important;
}
a.team-member:hover, a.add-days:hover { cursor: pointer; }
a.add-days.critical { background-color:#da1212; }

#support-ticket textarea { height: 7em; }

option.activity-type-section { font-size: 1.1em !important; color: red !important;}
.billable-ticket-flag { padding: 0 0 0 10px; }

.contract-status-corrente>label::before {
    content: " ";
    background: rgb(221, 240, 221);
    width: 1em;
    height: 1em;
    display: inline-block;
    margin: 0 4px 0 0;
    border: 1px solid;
}
.contract-status-rinnovo>label::before {
    content: " ";
    background: rgb(181, 191, 250);
    width: 1em;
    height: 1em;
    display: inline-block;
    margin: 0 4px 0 0;
    border: 1px solid;
}
tr[data-contract-status='1'] { background: rgb(221, 240, 221); }
tr[data-contract-status='2'] { background: rgb(181, 191, 250); }

.url-forward, .domain-alias { margin: 4px 0 0 0; }
.url-forward::before, .domain-alias::before {
    font-family: var(--fa-style-family,"Font Awesome 5 Free");
    font-weight: var(--fa-style,900);
    padding: 0 6px 0 0;
    margin: 0 0 0 24px;
    font-size: 0.8em;
}
.url-forward::before { content: "\f04e"; }
.domain-alias::before { content: "\f24d"; }

table#crudTable tbody tr td>span>span.web-server-icon {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

table#crudTable tbody tr td>span>span.web-server-icon[data-cdn='1']::after
 {
    content: "CDN";
    background-color: orange;
    color: #fff;
    padding: 2px 6px;
    font-size: 0.8em;
    margin: 4px 0 0 0;
    display: flex;
    text-align: center;
    width: 100%;
    justify-content: center;
}

table#crudTable tbody tr td>span>span.web-server-icon[data-web-server='ESTERNO']::before {
    content: "EXT.";
    background-color: orange;
    color: #fff;
    padding: 4px;
}

table#crudTable tbody tr td>span>span.web-server-icon[data-web-server^='MOOX']::before {
    content: attr(data-web-server-clean-name);
    font-size: 0.8em;
    background-image: url(../img/moox-icon.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 30px 30px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    height: 64px;
    width: 54px;
}


/* 
table#crudTable tbody tr td>span>span.web-server-icon[data-web-server='MOOX-SEEWEB']::before {
    content: " ";
    background-image: url(../img/moox-icon.jpg), url(../img/seeweb-icon.png);
    background-position: left center, right top;
    background-repeat: no-repeat;
    background-size: 30px 30px, 20px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 30px;
    width: 54px;
}

table#crudTable tbody tr td>span>span.web-server-icon[data-web-server='MOOX-SITEGROUND']::before {
    content: " ";
    background-image: url(../img/moox-icon.jpg), url(../img/siteground-icon.png);
    background-position: left center, right top;
    background-repeat: no-repeat;
    background-size: 30px 30px, 20px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 30px;
    width: 54px;
}

table#crudTable tbody tr td>span>span.web-server-icon[data-web-server='MOOX-SERVERPLAN']::before {
    content: " xxxx";
    background-image: url(../img/moox-icon.jpg), url(../img/serverplan-icon.png);
    background-position: left center, right top;
    background-repeat: no-repeat;
    background-size: 30px 30px, 20px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 30px;
    width: 54px;
} */

table#crudTable tbody tr td>span>span.web-server-icon[data-web-server^='KELIWEB']::before {
    content: "";
    background-image: url(../img/keliweb-icon.png);
    background-repeat: no-repeat;
    background-size: 30px 30px;
    height: 30px;
    width: 30px;
    display: block;
}

body#domain table#crudTable tbody tr td>span>div.email-server-icon,
body#contract table#crudTable tbody tr td>span>div.email-server-icon {
  height: 30px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

body#domain table#crudTable tbody tr td>span>div.email-server-icon[data-email-server='qbox'],
body#contract table#crudTable tbody tr td>span>div.email-server-icon[data-email-server='qbox'] {
    background-image: url(../img/qboxmail-icon.png);
    background-repeat: no-repeat;
    background-size: contain;
}

body#domain table#crudTable tbody tr td>span>div.email-server-icon[data-email-server='external']:before,
body#contract table#crudTable tbody tr td>span>div.email-server-icon[data-email-server='external']:before {
    content: "EXT.";
    background-color: orange;
    color: #fff;
    padding: 4px;
}

body#domain table#crudTable tbody tr td>span>div.email-server-icon[data-email-server='self']:before,
body#contract table#crudTable tbody tr td>span>div.email-server-icon[data-email-server='self']:before {
    content: "self";
    background-color: #000;
    color: #fff;
    padding: 4px;
}

body#domain table#crudTable tbody tr td>span>div.email-server-icon[data-email-server='missing']:before,
body#contract table#crudTable tbody tr td>span>div.email-server-icon[data-email-server='missing']:before {
    content: "no MX";
    background-color: red;
    color: #fff;
    padding: 4px;
}

body#domain table#crudTable tbody tr td>span>div.email-server-icon[data-email-server-status='error']:after,
body#contract table#crudTable tbody tr td>span>div.email-server-icon[data-email-server-status='error']:after {
    content: "err.";
    background-color: red;
    color: #fff;
    padding: 4px;
}

body#contract table#crudTable tbody tr td>span>span.contract-type[data-contract-type='dbb']:before{
    color: green;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size:1.5em;
    content: "\f058";
}

body#contract table#crudTable tbody tr td>span>span.contract-type[data-contract-type='dbb-onlus']:before{
    color: deeppink;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size:1.5em;
    content: "\f004";
}

body#contract table#crudTable tbody tr td>span>span.contract-type[data-contract-type='dbb-science']:before{
    color: #ffa500;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size:1.5em;
    content: "\e4f3";
}

body#contract table#crudTable tbody tr td>span>span.contract-type[data-contract-type='dbb-solo-email']:before{
    color: purple;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size:1.5em;
    content: "\f0e0";
}

body#contract table#crudTable tbody tr td>span>span.contract-type[data-contract-type='dbb-mini']:before{
    color: rgb(71, 188, 228);
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size:1.5em;
    content: "\f121";
}


body#email-info table#crudTable tbody tr td a[data-count="0"]::after {
    font-size: 1.2em;
    padding: 0 0 0 4px;
    color: #da1212;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    content: "\f06a";
}
.domain-main-dbb-domain::after {
    font-size: 0.7em;
    padding: 4px 6px;
    border-radius: 100%;
    margin: 0 0 0 3px;
    background-color: green;
    color: #fff;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    content: "\50";
}

.domain-secondary-dbb-domain::after {
    font-size: 0.7em;
    padding: 4px 6px;
    border-radius: 100%;
    margin: 0 0 0 3px;
    background-color: #568DCA;
    color: #fff;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    content: "\32";
}

.open-in-target-blank::before{
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size: 1em;
    color: #000;
    padding: 0 4px 0 0;
    content: "\f08e";
}

.domain-with-dbb-contract::after {
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size: 1.2em;
    padding: 0 0 0 4px;
    color: green;
    content: "\f56c";
}

.create-pro-forma-icon i {
    font-size: 1.4em;
    background: #568dca;
    color: #fff;
    border-radius: 50%;
    padding: 5px 7px 6px 5px;
}

.pace .pace-progress { height: 10px !important; }
.preview-fattura {
    order: 100;
    border: 1px solid #ddd;
    margin: 20px 0 0 0;
  }

#dashboard main .container-fluid { display: flex; }

.dashboard-fatturazione p { border-bottom: 1px dotted #555; display: flex; }
.dashboard-fatturazione label { width: 50%; font-weight: bold; }

.dashboard-tickets p { border-bottom: 1px dotted #555; }
.dashboard-tickets p a { color: #000; }
.dashboard-tickets p a:hover { text-decoration: underline; }

.dashboard-tickets label:nth-child(1) { font-weight: bold; width: 5%; }
.dashboard-tickets label:nth-child(2) { width: 10%; }
.dashboard-tickets label:nth-child(3) { width: 20%; }
.dashboard-tickets label:nth-child(4) { width: 60%; }
.dashboard-tickets a {width: 5%;}


/* customer-support-ticket-list: lista dei tickets all'interno del dettaglio di un contratto */
/* #support-ticket .status-and-billable-flags nella lista dei tickets */

.customer-support-ticket-list th,
.customer-support-ticket-list td:nth-child(1),
.customer-support-ticket-list td:nth-child(2),
.customer-support-ticket-list td:nth-child(3),
.customer-support-ticket-list td:nth-child(4),
.customer-support-ticket-list td:nth-child(6),
.customer-support-ticket-list td:nth-child(7) { text-align: center; }

.customer-support-ticket-list td:nth-child(1),
.customer-support-ticket-list td:nth-child(2),
.customer-support-ticket-list td:nth-child(3),
.customer-support-ticket-list td:nth-child(6),
.customer-support-ticket-list td:nth-child(7) { width: 8%; }
.customer-support-ticket-list td:nth-child(4) { width: 15%; }


#support-ticket .status-and-billable-flags span[data-status="-1"]:before,
#support-ticket .status-and-billable-flags span[data-status="0"]:before,
#support-ticket .status-and-billable-flags span[data-status="1"]:before,
#support-ticket .status-and-billable-flags span[data-status="2"]:before,
#support-ticket .status-and-billable-flags span[data-status="3"]:before,
#support-ticket .status-and-billable-flags span[data-status="4"]:before,
#support-ticket .status-and-billable-flags span[data-billable="1"]:after,
.customer-support-ticket-list td:nth-child(1) a:before,
.customer-support-ticket-list td:nth-child(8) a:after,
.customer-support-ticket-list td:nth-child(2)[data-status="-1"]:before,
.customer-support-ticket-list td:nth-child(2)[data-status="0"]:before,
.customer-support-ticket-list td:nth-child(2)[data-status="1"]:before,
.customer-support-ticket-list td:nth-child(2)[data-status="2"]:before,
.customer-support-ticket-list td:nth-child(2)[data-status="3"]:before,
.customer-support-ticket-list td:nth-child(2)[data-status="4"]:before {
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size: 1em;
    padding: 0 8px 0 0;
}

/* icona per aprire il ticket nella prima colonna */
.customer-support-ticket-list td:nth-child(1) a:before { color: #000; content: "\f08e"; }

/* ticket cancellato */
.customer-support-ticket-list td:nth-child(2)[data-status="-1"]:before,
#support-ticket .status-and-billable-flags span[data-status="-1"]:before { color: red; content: "\f1f8"; }
/* ticket in lavorazione */
.customer-support-ticket-list td:nth-child(2)[data-status="0"]:before,
#support-ticket .status-and-billable-flags span[data-status="0"]:before { color: #000; content: "\f85e"; }
/* ticket completato */
.customer-support-ticket-list td:nth-child(2)[data-status="1"]:before,
#support-ticket .status-and-billable-flags span[data-status="1"]:before { color: green; content: "\f164"; }
/* ticket in attesa da cliente */
.customer-support-ticket-list td:nth-child(2)[data-status="2"]:before,
#support-ticket .status-and-billable-flags span[data-status="2"]:before { color: orange; content: "\f252"; }
/* ticket in attesa da cliente */
.customer-support-ticket-list td:nth-child(2)[data-status="3"]:before,
#support-ticket .status-and-billable-flags span[data-status="3"]:before { color: purple; content: "\f256"; }
/* ticket rifiutato da MOOX */
.customer-support-ticket-list td:nth-child(2)[data-status="4"]:before,
#support-ticket .status-and-billable-flags span[data-status="4"]:before { color: red; content: "\f05e"; }

/* FATTURABILE*/
#support-ticket .status-and-billable-flags span[data-billable="1"]:after { content: "\24"; }
.admin-divider {
    margin: 30px -6px 0 -6px;
    height: 24px;
    background: var(--light);
    width: calc(100% + 42px);
    border-top: 1px solid rgba(0,40,100,.12);
    border-bottom: 1px solid rgba(0,40,100,.12);
}
.admin-divider.with-sidebar {
    margin: 30px 0 0 -21px;
}

.godaddy-icon::before {
    background-image: url(public/assets/img/godaddy-icon.png);
    background-repeat: no-repeat;
    background-size: 40px 40px;
    display: inline-block;
    border: 1px solid red;
}
.contratto-archiviato::before, 
.cliente-archiviato::before {
    font-family: "Font Awesome 5 Free";
    content: "\f02d";
    font-weight: 600;
    font-size: 1.5em;
    color: orange;
    padding: 0 8px 0 0;    
}
.contratto-cestinato::before{
    font-family: "Font Awesome 5 Free";
    content: "\f1f8";
    font-weight: 600;
    font-size: 1.5em;
    color: red;
    padding: 0 8px 0 0;    
}

.moox-maintenance-info p {
    border-bottom: 1px solid #c2c2c2;
    font-weight: bold;
  }
.moox-maintenance-info label { font-weight: normal; }

.moox-modal-report .swal-content__div {
    font-size: 1.2em;
    text-align: left;
    padding: 0 0 0 20px;
}

a[data-button-type="edit"],
a[data-button-type="delete"] { font-size: 1.5em; }

.invoice, .proforma, .quote{
    display: inline-block;
    margin: 0 4px 0 0;
}
.invoice::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    font-size: 1.5em;
    color: #000;
    padding: 0 8px 0 0;
}

.invoice::before { content: "\f571"; }
.proforma::before { 
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    content: "\50";
    border: 2px solid;
    padding: 4px;
    border-radius: 4px;
    background: #ddd;
    font-size: 0.9em;
 }

 .quote::before { 
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    content: "\51";
    border: 2px solid #161c2d;
    padding: 4px 3px 4px 2px;
    border-radius: 4px;
    background: #161c2d;
    font-size: 0.9em;
    color: #fff;
   }
.invoice.pagato::before { color: green; }
.invoice.non-pagato::before { color: red; }

.currency::after {
    content: "€";
}

.severity_good,
.severity_warning,
.severity_critical:hover {
    cursor: pointer;
}

.severity_good,
.severity_warning,
.severity_critical {
    color: transparent;
}

.severity_good::before {
    content: "\f111";
    font-family: "Font Awesome 5 Free";
    color: green;
}

.severity_warning::before {
    content: "\f111";
    font-family: "Font Awesome 5 Free";
    color: orange;
}

.severity_critical::before {
    content: "\f111";
    font-family: "Font Awesome 5 Free";
    color: red;
}

#contract-fixed-services tr td:nth-child(3) { text-align: right; }
#contract-fixed-services tr td:nth-child(4) { text-align: center; }

#contract-fixed-services th:nth-child(1) {width: 20%;}
#contract-fixed-services th:nth-child(2) {width: 60%;}
#contract-fixed-services th:nth-child(3) {width: 10%;}
#contract-fixed-services th:nth-child(4) {width: 10%;}


.moox-table th {
    background: #afafaf;
    color:#fff;
    padding: 4px 8px;
    border-right: 2px solid #fff;
}
.moox-table td {
    padding: 4px;
    border-bottom: 1px solid #afafaf;
}

.support-contract, .moox-progress-bar {
    /* border-bottom: 2px solid #b1b1b1; */
    margin: 0 0 18px 0;
}

/* .support-contract::before {
    font-family: "Font Awesome 5 Free";
    border: 1px solid #b1b1b1;
    border-radius: 50%;
    padding: 6px;
    margin: 0 6px 0 0;
    color: #b1b1b1;
}

.support-contract.developer::before { content: "\f530"; }
.support-contract.web-publishing::before { content: "\f303"; } */

.support-contract p { margin: 10px 0 0 0; height:5px; }

.moox-progress-bar {
    width: 130px;
    background: transparent;
    height: 40px;
    margin: 5px 0 0 0;
    border-radius: 4px;
    border: 2px solid #385d88;
}
.moox-progress-bar p {
    text-align: center;
    color: #000;
    width: 100%;
    margin: 0;
    padding: 4px 0 0 0;
}
.moox-progress-bar span {
    height: 6px;
    background-color: #639100;
    display: block;
    margin: 2px 0 0 0px;
    width: 0%;
}

#moox-blocca-coda, #total { display: none; }
#moox-blocca-coda-scripts, #total-scripts { display: none; }

#dbb_archive { margin: 10px -22px}
#dbb_archive hr { margin: 30px 0 0 0; height: 24px; background: var(--light); }
#dbb_archive label{padding: 40px 0 0 22px;}
#dbb_archive table {width: calc(100% - 44px);margin: 0 auto;}
#dbb_archive table th, #dbb_archive table td { padding: 4px 6px; }
#dbb_archive table tr { border-bottom: 1px solid var(--gray); }
#dbb_archive table td a:before {content:'\f1c1';font-family:'Font Awesome 5 Free';font-size: 1.3em;}

.hosting-icon { text-align: center;}
.hosting-icon.MOOX-SERVER-PLAN::before,
.hosting-icon.MOOX-SITE-GROUND::before
 {
    background-image: url(../../assets/img/moox-icon.jpg);
    width: 25px;
    height: 25px;
    background-repeat: no-repeat;
    background-size: contain;
    display: inline-block;
    content: " ";
}

.hosting-icon::after {
    margin: 0 0 0 26px;
    width: 25px;
    height: 25px;
    background-repeat: no-repeat;
    background-size: contain;
    display: inline-block;
    content: " ";    
}
.hosting-icon.MOOX-SERVER-PLAN::after {
    background-image: url(../../assets/img/serverplan-icon.png);
}
.hosting-icon.MOOX-SITE-GROUND::after {
    background-image: url(../../assets/img/siteground-icon.png);    
}

.hosting-icon.EXTERNAL::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    font-size: 1.5em;
    color: #990404;
    content: "\f059";
}
.hosting-icon.EXTERNAL::after{
    width: 0;
    margin: 0;
}
.hosting-info {
    font-size: 0.6em;
    text-align: center;
}
body#dashboard main div.container-fluid {
    flex-wrap: wrap;
}